<!--=========主体内容部分===========-->
<!--主题内容开始-->
<script type="text/javascript">
//<![CDATA[
$(function(){
		//如果是必填的，则加红星标识.
		$("form :input.required").each(function(){
			var $required = $("<b class='high'> *</b>"); //创建元素
			$(this).parent().append($required); //然后将它追加到文档中
		});
         //文本框失去焦点后
	    $('form :input').blur(function(){
			 var $parent = $(this).parent();
			 $parent.find(".formtips").remove();
			 //验证用户名
			 if( $(this).is('#username') ){
					if( this.value=="" || this.value.length < 6 ){
					    var errorMsg = '请输入至少6位的用户名.';
                        $parent.append('<span class="formtips onError">'+errorMsg+'</span>');
					}else{
						$.post("ajaxreg.php", {
							username: $('#username').val()
						}, function (data, textStatus){
							$parent.append(data);
						})
					}
					/*}else{
					    var okMsg = '输入正确.';
					    $parent.append('<span class="formtips onSuccess">'+okMsg+'</span>');
					}*/
			 }
			 //验证密码
			 if( $(this).is('#password') ){
				if( this.value=="" || this.value.length < 6 ){
					    var errorMsg = '请输入至少6位的密码.';
                        $parent.append('<span class="formtips onError">'+errorMsg+'</span>');
					}else{
					    var okMsg = '输入正确.';
					    $parent.append('<span class="formtips onSuccess">'+okMsg+'</span>');
					}
			 }
			 //验证确认密码
			 if( $(this).is('#password2') ){
				if( this.value!=$('#password').val() || this.value==""){
					    var errorMsg = '两次密码输入不一致.';
                        $parent.append('<span class="formtips onError">'+errorMsg+'</span>');
					}else{
					    var okMsg = '输入正确.';
					    $parent.append('<span class="formtips onSuccess">'+okMsg+'</span>');
					}
			 }
			 //验证邮件
			 if( $(this).is('#email') ){
				if( this.value=="" || ( this.value!="" && !/.+@.+\.[a-zA-Z]{2,4}$/.test(this.value) ) ){
                      var errorMsg = '请输入正确的Email地址.';
					  $parent.append('<span class="formtips onError">'+errorMsg+'</span>');
				}else{
                      var okMsg = '输入正确.';
					  $parent.append('<span class="formtips onSuccess">'+okMsg+'</span>');
				}
			 }
		}).keyup(function(){
		   $(this).triggerHandler("blur");
		}).focus(function(){
	  	   $(this).triggerHandler("blur");
		});//end blur

		
		//提交，最终验证。
		 $('#send').click(function(){
				$("form :input.required").trigger('blur');
				var numError = $('form .onError').length;
				if(numError){
					return false;
				} 
		 });

		//重置
		 $('#res').click(function(){
				$(".formtips").remove(); 
		 });
})
//]]>
</script>
<div id="main">
<div class="ucenter">
  <div class="r_navigation">
    <div class="r_n_pic"></div>
    您现在的位置：<a href="<{$siteurl}>"><{$sitename}> </a>&gt;&gt;<a href="<{$pageurl}>" > <{$pagename}></a> </div>
 <!-- 用户中心 -->
     <form action="user.php?act=regok" method="post" onsubmit="return checkform();" >
        <fieldset>
        <legend>用户注册</legend>
        <div>
          <label for="username">用户名</label>
          <input type="text" name="username" value="" size="30" id="username" class="required" maxlength="30" />
          
        </div>
        <div>
          <label for="password">密码</label>
          <input type="password" name="password" size="18" id="password" class="required" maxlength="15" />
          
        </div>
        <div>
          <label for="confirm_password">重复密码</label>
          <input type="password" name="confirm_password" size="18" id="password2" class="required" maxlength="15" />
          
        </div>
        <div>
          <label for="email">电子邮箱</label>
          <input type="text" name="email" value="" id="email" size="20" class="required" maxlength="150" />
          
        </div>
        <div class="center">
          <input type="submit" class="buttom" value="提交" id="send"/>
          <input type="reset" class="buttom" id="res" value="重置" />
        </div>
        
        </fieldset>
      </form>
  </div>
</div>
